Bug 963933 - [abrt] WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xd4/0x100()
[abrt] WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xd4/0x100()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:a157307c4ad993bf75b5491ae24...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 15:33 EDT by andria.arisal
Modified: 2014-12-22 07:13 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (69.40 KB, text/plain)
2013-05-16 15:33 EDT, andria.arisal
no flags Details

  None (edit)
Description andria.arisal 2013-05-16 15:33:05 EDT
Description of problem:
after system boot up and user log in

Additional info:
WARNING: at fs/sysfs/dir.c:536 sysfs_add_one+0xd4/0x100()
Hardware name: VPCSA25GG
sysfs: cannot create duplicate filename '/devices/platform/sony-laptop/kbd_backlight'
Modules linked in: sony_laptop(+) rfkill microcode(+) lpc_ich mfd_core mei kvm uinput binfmt_misc radeon i915 crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ttm ghash_clmulni_intel drm i2c_core video
Pid: 382, comm: systemd-udevd Not tainted 3.9.2-200.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105f105>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f1e6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff81309645>] ? strlcat+0x65/0x90
 [<ffffffff81215f14>] sysfs_add_one+0xd4/0x100
 [<ffffffff812150d7>] sysfs_add_file_mode+0x97/0xe0
 [<ffffffff81215132>] sysfs_add_file+0x12/0x20
 [<ffffffff81215206>] sysfs_create_file+0x26/0x30
 [<ffffffff813f5359>] device_create_file+0x19/0x20
 [<ffffffffa02c56ac>] sony_nc_add+0xd7c/0x1260 [sony_laptop]
 [<ffffffff81216bb0>] ? sysfs_do_create_link_sd+0xd0/0x1f0
 [<ffffffff81369d05>] acpi_device_probe+0x4f/0x119
 [<ffffffff813f94cb>] driver_probe_device+0x8b/0x390
 [<ffffffff813f987b>] __driver_attach+0xab/0xb0
 [<ffffffff813f97d0>] ? driver_probe_device+0x390/0x390
 [<ffffffff813f751d>] bus_for_each_dev+0x5d/0xa0
 [<ffffffff813f8e2e>] driver_attach+0x1e/0x20
 [<ffffffff813f89ce>] bus_add_driver+0x11e/0x2a0
 [<ffffffffa02d0000>] ? 0xffffffffa02cffff
 [<ffffffffa02d0000>] ? 0xffffffffa02cffff
 [<ffffffff813f9f47>] driver_register+0x77/0x170
 [<ffffffff8150ada3>] ? dmi_matches+0x53/0xc0
 [<ffffffffa02d0000>] ? 0xffffffffa02cffff
 [<ffffffff8136a9e8>] acpi_bus_register_driver+0x3e/0x48
 [<ffffffffa02d0058>] sony_laptop_init+0x58/0x1000 [sony_laptop]
 [<ffffffff8100215a>] do_one_initcall+0x12a/0x180
 [<ffffffff810c4ba6>] load_module+0x1d16/0x28a0
 [<ffffffff81320d30>] ? ddebug_proc_open+0xc0/0xc0
 [<ffffffff810c5807>] sys_init_module+0xd7/0x120
 [<ffffffff81669a59>] system_call_fastpath+0x16/0x1b
Comment 1 andria.arisal 2013-05-16 15:33:10 EDT
Created attachment 749029 [details]
File: dmesg
Comment 2 fred 2013-05-18 08:39:41 EDT
I can confirm this on my vaio laptop, VPCSA-3C5E. This issue disables the keyboard backlighting which used to work before.
Comment 3 fred 2013-05-18 08:41:53 EDT
Nevermind the previous comment, I got somehow misled and in fact the backlight is OK here. However I also had the same backtrace occuring at startup.
Comment 4 utoplenick 2013-05-20 05:24:00 EDT
on my vaio laptop this problem appears after system is going too sleep mode, and when it wakes up system goes down ans i have to reboot.
Comment 5 Martin Angermeier 2013-05-22 05:30:25 EDT
same problem as utoplenick here for me. System freezes after wakeup from sleep mode
Comment 6 utoplenick 2013-06-18 03:40:32 EDT
may be it can be usefull: there is no problems to going to sleep mode and wake up in kernel 3.8.11-200.fc18.x86_64.
Comment 7 fred 2013-07-30 03:42:45 EDT
Same warning on fedora 19 kernel 3.10.

juil. 30 09:30:30 0reste kernel: input: Sony Vaio Jogdial as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/SNY5001:00/input/input8
juil. 30 09:30:30 0reste kernel: rtsx_pci 0000:03:00.0: irq 50 for MSI/MSI-X
juil. 30 09:30:30 0reste kernel: rtsx_pci 0000:03:00.0: rtsx_pci_acquire_irq: pcr->msi_en = 1, pci->irq = 50
juil. 30 09:30:30 0reste kernel: r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
juil. 30 09:30:30 0reste kernel: r8169 0000:05:00.0: irq 51 for MSI/MSI-X
juil. 30 09:30:30 0reste kernel: r8169 0000:05:00.0 eth0: RTL8168e/8111e at 0xffffc90010ee6000, f0:bf:97:e6:37:96, XID 0c200000 IRQ 51
juil. 30 09:30:30 0reste kernel: r8169 0000:05:00.0 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
juil. 30 09:30:30 0reste kernel: ------------[ cut here ]------------
juil. 30 09:30:30 0reste kernel: WARNING: at fs/sysfs/dir.c:530 sysfs_add_one+0xa5/0xd0()
juil. 30 09:30:30 0reste kernel: sysfs: cannot create duplicate filename '/devices/platform/sony-laptop/kbd_backlight'
juil. 30 09:30:30 0reste kernel: Modules linked in: r8169 soundcore rtsx_pci mfd_core mii sony_laptop(+) tpm_tis(+) tpm_infineon rfkill tpm tpm_bios binfmt_misc uinput radeon i915 ttm
juil. 30 09:30:30 0reste kernel: CPU: 2 PID: 379 Comm: systemd-udevd Not tainted 3.10.3-300.fc19.x86_64 #1
juil. 30 09:30:30 0reste kernel: Hardware name: Sony Corporation VPCSA3C5E/VAIO, BIOS R2086H4 11/23/2011
juil. 30 09:30:30 0reste kernel:  0000000000000009 ffff880252699a28 ffffffff81643216 ffff880252699a60
juil. 30 09:30:30 0reste kernel:  ffffffff8105c211 00000000ffffffef ffff880251bf2bd0 ffff880252699b08
juil. 30 09:30:30 0reste kernel:  ffff8802504c4000 00000000000001a4 ffff880252699ac0 ffffffff8105c27c
juil. 30 09:30:30 0reste kernel: Call Trace:
juil. 30 09:30:30 0reste kernel:  [<ffffffff81643216>] dump_stack+0x19/0x1b
juil. 30 09:30:30 0reste kernel:  [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
juil. 30 09:30:30 0reste kernel:  [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
juil. 30 09:30:30 0reste kernel:  [<ffffffff8120a665>] sysfs_add_one+0xa5/0xd0
juil. 30 09:30:30 0reste kernel: CPU: 2 PID: 379 Comm: systemd-udevd Not tainted 3.10.3-300.fc19.x86_64 #1
juil. 30 09:30:30 0reste kernel: Hardware name: Sony Corporation VPCSA3C5E/VAIO, BIOS R2086H4 11/23/2011
juil. 30 09:30:30 0reste kernel:  0000000000000009 ffff880252699a28 ffffffff81643216 ffff880252699a60
juil. 30 09:30:30 0reste kernel:  ffffffff8105c211 00000000ffffffef ffff880251bf2bd0 ffff880252699b08
juil. 30 09:30:30 0reste kernel:  ffff8802504c4000 00000000000001a4 ffff880252699ac0 ffffffff8105c27c
juil. 30 09:30:30 0reste kernel: Call Trace:
juil. 30 09:30:30 0reste kernel:  [<ffffffff81643216>] dump_stack+0x19/0x1b
juil. 30 09:30:30 0reste kernel:  [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
juil. 30 09:30:30 0reste kernel:  [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
juil. 30 09:30:30 0reste kernel:  [<ffffffff8120a665>] sysfs_add_one+0xa5/0xd0
juil. 30 09:30:30 0reste kernel:  [<ffffffff81209877>] sysfs_add_file_mode+0x97/0xe0
juil. 30 09:30:30 0reste kernel:  [<ffffffff812098ea>] sysfs_create_file+0x2a/0x30
juil. 30 09:30:30 0reste kernel:  [<ffffffff813d6a8d>] device_create_file+0x3d/0xa0
juil. 30 09:30:30 0reste kernel:  [<ffffffffa0227622>] sony_nc_add+0xd42/0x10e8 [sony_laptop]
juil. 30 09:30:30 0reste kernel:  ffffffff8105c211 00000000ffffffef ffff880251bf2bd0 ffff880252699b08
juil. 30 09:30:30 0reste kernel:  ffff8802504c4000 00000000000001a4 ffff880252699ac0 ffffffff8105c27c
juil. 30 09:30:30 0reste kernel: Call Trace:
juil. 30 09:30:30 0reste kernel:  [<ffffffff81643216>] dump_stack+0x19/0x1b
juil. 30 09:30:30 0reste kernel:  [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
juil. 30 09:30:30 0reste kernel:  [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
juil. 30 09:30:30 0reste kernel:  [<ffffffff8120a665>] sysfs_add_one+0xa5/0xd0
juil. 30 09:30:30 0reste kernel:  [<ffffffff81209877>] sysfs_add_file_mode+0x97/0xe0
juil. 30 09:30:30 0reste kernel:  [<ffffffff812098ea>] sysfs_create_file+0x2a/0x30
juil. 30 09:30:30 0reste kernel:  [<ffffffff813d6a8d>] device_create_file+0x3d/0xa0
juil. 30 09:30:30 0reste kernel:  [<ffffffffa0227622>] sony_nc_add+0xd42/0x10e8 [sony_laptop]
juil. 30 09:30:30 0reste kernel:  [<ffffffff8120b305>] ? sysfs_do_create_link_sd+0xd5/0x210
juil. 30 09:30:30 0reste kernel:  [<ffffffff8134cfdb>] acpi_device_probe+0x4e/0xfe
juil. 30 09:30:30 0reste kernel:  [<ffffffff813db617>] driver_probe_device+0x87/0x390
juil. 30 09:30:30 0reste kernel:  [<ffffffff813db9f3>] __driver_attach+0x93/0xa0
juil. 30 09:30:30 0reste kernel:  [<ffffffff813db960>] ? __device_attach+0x40/0x40
juil. 30 09:30:30 0reste kernel:  [<ffffffff813d9603>] bus_for_each_dev+0x63/0xa0
juil. 30 09:30:30 0reste kernel:  [<ffffffff813db08e>] driver_attach+0x1e/0x20
juil. 30 09:30:30 0reste kernel:  [<ffffffff813dac28>] bus_add_driver+0x1e8/0x2a0
juil. 30 09:30:30 0reste kernel:  [<ffffffffa0231000>] ? 0xffffffffa0230fff
juil. 30 09:30:30 0reste kernel:  [<ffffffff813dc031>] driver_register+0x71/0x150
juil. 30 09:30:30 0reste kernel:  [<ffffffffa0231000>] ? 0xffffffffa0230fff
juil. 30 09:30:30 0reste kernel:  [<ffffffff8134d545>] acpi_bus_register_driver+0x3b/0x43
juil. 30 09:30:30 0reste kernel:  [<ffffffffa023105a>] sony_laptop_init+0x5a/0x1000 [sony_laptop]
juil. 30 09:30:30 0reste kernel:  [<ffffffff810020e2>] do_one_initcall+0xe2/0x190
juil. 30 09:30:30 0reste kernel:  [<ffffffff810bf825>] load_module+0x1bb5/0x2650
juil. 30 09:30:30 0reste kernel:  [<ffffffff81305550>] ? ddebug_proc_write+0xf0/0xf0
juil. 30 09:30:30 0reste kernel:  [<ffffffff810c0456>] SyS_finit_module+0x86/0xb0
juil. 30 09:30:30 0reste kernel:  [<ffffffff81651819>] system_call_fastpath+0x16/0x1b
juil. 30 09:30:30 0reste kernel: ---[ end trace 6e5606d9cc7fa172 ]---
juil. 30 09:30:30 0reste kernel: sony_laptop: couldn't set up keyboard backlight function (-17)
juil. 30 09:30:30 0reste kernel: sony_laptop: brightness ignored, must be controlled by ACPI video driver
juil. 30 09:30:30 0reste kernel: ACPI Warning: 0x0000000000000428-0x000000000000042f SystemIO conflicts with Region \PMIO 1 (20130328/utaddress-251)
juil. 30 09:30:30 0reste kernel: ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
juil. 30 09:30:30 0reste kernel: ACPI Warning: 0x0000000000000540-0x000000000000054f SystemIO conflicts with Region \GPIO 1 (20130328/utaddress-251)
juil. 30 09:30:30 0reste kernel: ACPI Warning: 0x0000000000000540-0x000000000000054f SystemIO conflicts with Region \_SB_.PCI0.PEG0.PEGP.GPIO 2 (20130328/utaddress-251)
juil. 30 09:30:30 0reste kernel: ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
juil. 30 09:30:30 0reste kernel: ACPI Warning: 0x0000000000000530-0x000000000000053f SystemIO conflicts with Region \GPIO 1 (20130328/utaddress-251)
juil. 30 09:30:30 0reste kernel: ACPI Warning: 0x0000000000000530-0x000000000000053f SystemIO conflicts with Region \_SB_.PCI0.PEG0.PEGP.GPIO 2 (20130328/utaddress-251)
Comment 8 Justin M. Forbes 2013-10-18 17:12:34 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 9 utoplenick 2013-11-12 04:23:50 EST
problem still exists, kernel version 3.11.7-200.fc19.x86_64
Comment 10 Fedora End Of Life 2013-12-21 08:34:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:24:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.